Package com.xebialabs.xlrelease.serialization.json.xltype

# Class XlrPasswordMaskingCiConverter

java.lang.Object
com.xebialabs.xltype.serialization.ConfigurationItemConverter
com.xebialabs.deployit.core.xml.PasswordEncryptingCiConverter
com.xebialabs.deployit.core.xml.PasswordMaskingCiConverter
com.xebialabs.xlrelease.serialization.json.xltype.XlrPasswordMaskingCiConverter

public class XlrPasswordMaskingCiConverter extends com.xebialabs.deployit.core.xml.PasswordMaskingCiConverter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XlrPasswordMaskingCiConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `readStringProperty(ConfigurationItem configurationItem, PropertyDescriptor propertyDescriptor, com.xebialabs.xltype.serialization.CiReader reader)`

  ### Methods inherited from class com.xebialabs.deployit.core.xml.PasswordMaskingCiConverter

  `writeCollectionOfStringProperty, writeMapStringStringProperty, writeStringProperty`

  ### Methods inherited from class com.xebialabs.deployit.core.xml.PasswordEncryptingCiConverter

  `readCollectionOfStringProperty, readMapStringStringProperty, writeCollectionOfCiProperty`

  ### Methods inherited from class com.xebialabs.xltype.serialization.ConfigurationItemConverter

  `createConfigurationItem, getIdOfCi, getReadCIs, getReferences, readCi, readCiProperty, readCis, readCisOrReferences, readCollectionOfCiProperty, readProperties, readProperty, resolveReferences, resolveReferences, setReadValidationMessages, setWriteValidationMessages, type, writeCi, writeCi, writeCiProperty, writeCis, writeCis, writeLookupValues, writeProperties, writeProperty, writeValidationMessages`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XlrPasswordMaskingCiConverter

    public XlrPasswordMaskingCiConverter()

- ## Method Details

  - ### readStringProperty

    protected void readStringProperty(ConfigurationItem configurationItem, PropertyDescriptor propertyDescriptor, com.xebialabs.xltype.serialization.CiReader reader)
    Overrides:
      `readStringProperty` in class `com.xebialabs.deployit.core.xml.PasswordEncryptingCiConverter`